Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.mail
Class MailProperties

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--java.util.Properties
                        |
                        +--com.compoze.util.ObjectProperties
                              |
                              +--com.compoze.util.MutableProperties
                                    |
                                    +--com.compoze.util.ResourceProperties
                                          |
                                          +--com.compoze.mail.MailProperties

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class MailProperties
extends ResourceProperties

This class encapsulates access to the `mail.properties` file.

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Fields inherited from class com.compoze.util.ResourceProperties
`CONFIG_KEY, m_sResourceName`

Fields inherited from class java.util.Properties
`defaults`

Method Summary
`static MailProperties` | `i()` Gets the singleton instance.
`static void` | `main(java.lang.String[] args)` Exerciser.
`static MailProperties` | `newInstance()` Gets the singleton instance.

Methods inherited from class com.compoze.util.MutableProperties
`getProperty, getProperty, propertyNames, setConfiguration`

Methods inherited from class com.compoze.util.ObjectProperties
`getBoolean, getBoolean, getByte, getByte, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getShort, getShort, getString, getString, getStringArray, getStringArray, getStringArray, replaceSubstitutions`

Methods inherited from class java.util.Properties
`list, list, load, save, setProperty, store`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### i

    public static MailProperties i()

  Gets the singleton instance.
  Returns:
    the singleton runtime properties instance

### newInstance

    public static MailProperties newInstance()

  Gets the singleton instance.
  Returns:
    the singleton runtime properties instance

### main

    public static void main(java.lang.String[] args)

  Exerciser.
  Parameters:
    `args` - arguments (a runtime properties key)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.